import mysql.connector
from mysql.connector import Error

def insertar_usuario(nombre, edad):
    try:
        # Conectar a la base de datos
        conexion = mysql.connector.connect(
            host="localhost",     # Cambia esto si usas otro host
            user="tu_usuario",    # Cambia esto por tu nombre de usuario
            password="tu_contraseña",  # Cambia esto por tu contraseña
            database="tu_base_de_datos"  # Cambia esto por el nombre de tu base de datos
        )

        if conexion.is_connected():
            cursor = conexion.cursor()
            # Consulta SQL para insertar un registro
            sql = "INSERT INTO usuarios (nombre, edad) VALUES (%s, %s)"
            valores = (nombre, edad)
            cursor.execute(sql, valores)
            conexion.commit()  # Guardar los cambios en la base de datos
            print("Registro insertado con éxito")

    except Error as e:
        print(f"Error al conectar o insertar en MySQL: {e}")
    finally:
        if conexion.is_connected():
            cursor.close()
            conexion.close()
            print("Conexión cerrada")